# eric4.Graphics.UMLDialog

Module implementing a dialog showing UML like diagrams.

### Global Attributes

None

### Classes

UMLDialog | Class implementing a dialog showing UML like diagrams.

### Functions

None

## UMLDialog

Class implementing a dialog showing UML like diagrams.

### Derived from

KQMainWindow

### Class Attributes

None

### Class Methods

None

### Methods

UMLDialog | Constructor

### Static Methods

None

#### UMLDialog (Constructor)

UMLDialog(diagramName = "Unnamed", parent = None, name = None)

Constructor

diagramName
  name of the diagram (string)
parent
  parent widget of the view (QWidget)
name
  name of the view widget (QString or string)

Up